Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025483
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2014-01-16 00:362014-05-07 18:11
ReporterchelipfView Statuspublic 
Assigned Topramakrishnan 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione3ae82ec9ee3
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_27
OS VersionDebian WheezyDatabase version9.1Ant version1.8.2
Product Version3.0MP29.1SCM revision 
Review Assigned Tojonalegriaesarte
Web browserMozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025483: It is not possible to add a validate rule to fin_financial_account_id column of fin_payment table

DescriptionThe problem is that there is a callout (SE_PaymentMethod_FinAccount) that is executed just after the select that fills the combo box, and this callout fills the combo box again overriding the former values.
Steps To Reproduce- Create a validation rule.
- Assign that validation to fin_financial_account_id column of fin_payment table.
- Check that the validation is overridden every time the callout is executed.
Proposed SolutionReplace the callout logic with a table validation, then you can add a validation rule without any problem.

Take a look to the patch file.
TagsSidesoft
Attached Filesdiff file icon fin_payment.diff [^] (11,970 bytes) 2014-01-16 00:36 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0029368 closedjorge-garcia It is possible to create a payment header when a payment method is disabled in a given financial account 

-  Notes
(0066191)
hgbot (developer)
2014-04-07 09:05

Repository: erp/devel/pi
Changeset: e3ae82ec9ee35e6e4bb728a1c2d7975b5572683f
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Mon Apr 07 00:47:11 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e3ae82ec9ee35e6e4bb728a1c2d7975b5572683f [^]

Fixes Issue 25483: It is not possible to add a validate rule to fin_financial_account_id column of fin_payment table

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src/org/openbravo/erpCommon/ad_callouts/SE_PaymentMethod_FinAccount.java
---
(0066199)
pramakrishnan (developer)
2014-04-07 11:45

Repository: erp/devel/pi
Changeset: 97d8cf3e7d76
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Mon Apr 07 15:11:15 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/97d8cf3e7d76 [^] [^]

Related to 25483: Code Reformatting
---
M src/org/openbravo/erpCommon/ad_callouts/SE_PaymentMethod_FinAccount.java
---
(0066208)
hgbot (developer)
2014-04-07 15:12

Repository: erp/devel/pi
Changeset: f0e068c5bbca03304e2174420e27130a6b90a5cc
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Mon Apr 07 18:39:39 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f0e068c5bbca03304e2174420e27130a6b90a5cc [^]

Related to Issue 25483 : Changed validation for oracle compatibility

---
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0066370)
jonalegriaesarte (reporter)
2014-04-14 09:55
edited on: 2014-04-14 09:56

Tested and working fine

(0066895)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066897)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-01-16 00:36 chelipf New Issue
2014-01-16 00:36 chelipf Assigned To => dmiguelez
2014-01-16 00:36 chelipf File Added: fin_payment.diff
2014-01-16 00:36 chelipf Web browser => Mozilla Firefox
2014-01-16 00:36 chelipf Modules => Core
2014-01-16 00:36 chelipf Triggers an Emergency Pack => No
2014-01-16 00:37 chelipf Tag Attached: Sidesoft
2014-01-16 06:11 chelipf Issue Monitored: chelipf
2014-02-19 18:05 jonalegriaesarte Web browser Mozilla Firefox => Mozilla Firefox
2014-02-19 18:05 jonalegriaesarte Target Version => 3.0MP32
2014-03-10 18:17 jonalegriaesarte Assigned To dmiguelez => pramakrishnan
2014-03-10 18:17 jonalegriaesarte Web browser Mozilla Firefox => Mozilla Firefox
2014-03-12 15:12 pramakrishnan Review Assigned To => jonalegriaesarte
2014-03-12 15:12 pramakrishnan Web browser Mozilla Firefox => Mozilla Firefox
2014-03-12 15:12 pramakrishnan Status new => scheduled
2014-03-31 16:17 jonalegriaesarte Target Version PR14Q2 => PR14Q3
2014-03-31 16:40 jonalegriaesarte Web browser Mozilla Firefox => Mozilla Firefox
2014-04-07 09:05 hgbot Checkin
2014-04-07 09:05 hgbot Note Added: 0066191
2014-04-07 09:05 hgbot Status scheduled => resolved
2014-04-07 09:05 hgbot Resolution open => fixed
2014-04-07 09:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e3ae82ec9ee35e6e4bb728a1c2d7975b5572683f [^]
2014-04-07 11:45 pramakrishnan Note Added: 0066199
2014-04-07 15:12 hgbot Checkin
2014-04-07 15:12 hgbot Note Added: 0066208
2014-04-14 09:55 jonalegriaesarte Note Added: 0066370
2014-04-14 09:55 jonalegriaesarte Status resolved => closed
2014-04-14 09:56 jonalegriaesarte Note Edited: 0066370 View Revisions
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066895
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066897
2015-03-23 12:38 Sandrahuguet Relationship added causes 0029368


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker